interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54396 characters]
    headers:
      CF-RAY: [2d0931cc9f31288e-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36476']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 05:12:47 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d8854e8658dd3cab497c0d37d69de15491470892366; expires=Fri,
          11-Aug-17 05:12:46 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=8e3FQgMyiOdYNbKvlr;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 05:12:47
          GMT; secure', 'loidcreated=2016-08-11T05%3A12%3A46.852Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 05:12:47 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['__cfduid=d8854e8658dd3cab497c0d37d69de15491470892366; expires=Fri,
          11-Aug-17 05:12:46 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=8e3FQgMyiOdYNbKvlr;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 05:12:47
          GMT; secure', 'loidcreated=2016-08-11T05%3A12%3A46.852Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 05:12:47 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=pvZnG7VsvLezUsjx79GQggrVIQdCqDEhr7LFF%2BZm7OhAZge%2F5SVzTZj3f7zNL2UhrVebQV22xSw%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
